View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000495aMuleMiscpublic2005-06-30 10:512005-07-13 20:59
ReporterD10Tmain 
Assigned ToXaignar 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.0.3 
Target VersionFixed in VersionSVN 
Summary0000495: IPFilter load issue
Descriptionip net ranges not loaded correctly ?
or error in input file ?
Additional Informationwhen i load ipfilter from attached guardiding.p2P (from zip file downloaded from http://emulepawcio.sourceforge.net/nieuwe_site/Ipfilter_fakes/ipfilter.zip [^]) got banned range
0.0.0.0-62.99.143.199,0,L(25/01/05)compLex Software GmbH
and maybe others incorrect entries (attached ipfilter.dat amule output)
are there any error in this input file or something wrong in amule ?

ibm rs6k power3, RHEL4 UP1, amule and wx compiled as 32bit
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships

-  Notes
(0001115)
D10Tmain (reporter)
2005-06-30 12:31

can`t upload files :-(
guardian.p2P from http://emulepawcio.sourceforge.net/nieuwe_site/Ipfilter_fakes/ipfilter.zip [^]

#
#
#Ipfilter v79
#>> http://forum.emule-project.net/index.php?showtopic=19247 [^]
#
#
#-BOGON list (2005-06-17)
#>> http://completewhois.org/bogons/index.htm [^]
#>> Invalid IPv4: Bogon list.
#>> Not Declared IPv4: Not in BGP database.
#>> Not Used IPv4: Allocated in BGP database but not used.
#>> Remove Cloned Ranges between this lists.
#
#-EP List (2005-04-19)
#>> AntiP2P Robots: A list from a special user.
#>> Specifics Ranges: Feedback by Mod'Developer.
#
#-Mc4TuTi-lloyd8 list (2005-06-13)
#>> http://ciberia.ya.com/Mc4TuTi/index.htm [^]
#>> Updated by lloyd8 from emule.us to wait Mc4TuTi official update.
#>> Minimized description to decrease global file size.
#
#

and begining of ipfilter.dat:
0.0.0.0 - 62.99.143.199 , 0 , L(25/01/05)compLex Software GmbH
62.99.145.72 - 62.99.145.79 , 0 , L(25/01/05)itellico hard - & software g
62.99.145.208 - 62.99.145.215 , 0 , G(01/06/05)Haude Electronica Verlags Gm
62.99.149.184 - 62.99.149.191 , 0 , G(01/06/05)ARTWARE Multimedia GmbH
62.99.153.24 - 62.99.153.31 , 0 , L(25/01/05)Gruppe A.S.S..Architekten So
62.99.155.112 - 62.99.155.119 , 0 , G(01/06/05)Rechtsanwaltskanzlei Dr. Har
62.99.155.144 - 62.99.155.151 , 0 , G(01/06/05)Rechtsanwaltskanzlei Dr. Pfl
62.99.155.192 - 62.99.155.199 , 0 , G(01/06/05)Kraft & WinternitzRechtsanw~
62.99.156.232 - 62.99.156.239 , 0 , L(25/01/05)Music + Light
62.99.156.248 - 62.99.156.255 , 0 , L(16/11/04)Tyrolis.Handelsg.m.b.H.AT
62.99.157.32 - 62.99.157.39 , 0 , G(01/06/05)Held Berdnik Astner & Partne
62.99.157.120 - 62.99.157.127 , 0 , G(01/06/05)Wolf
62.99.157.224 - 62.99.157.239 , 0 , G(01/06/05)Knirsch Braun FellnerRechtsa
62.99.164.112 - 62.99.164.119 , 0 , L(25/01/05)mediawerk Austria
62.99.169.216 - 62.99.169.223 , 0 , L(25/01/05)Kraft und Kraft SoftwareGes.
62.99.170.152 - 62.99.170.155 , 0 , L(25/01/05)arcoSoft Software GmbH
62.99.173.112 - 62.99.173.119 , 0 , G(01/06/05)Stangl & Ferstl Rechtsanwalt
62.99.173.144 - 62.99.173.151 , 0 , G(01/06/05)Stangl & Ferstl Rechtsanwalt
62.99.176.72 - 62.99.176.79 , 0 , L(25/01/05)Ramsauer & St~rmer Software
(0001116)
Xaignar (manager)
2005-06-30 17:52

Did you have an existing ipfilter.dat file and did you use the inbuilt update functionality? If so, the two files would be merged, which could result in what you saw. Try deleting the file ~/.aMule/ipfilter.dat and try again.

Cheers,
 Xaignar
(0001117)
Xaignar (manager)
2005-06-30 17:54

Oh, yeah, should probably note that I tried loading the file you linked to and it didn't produce any of the bad ranges, hence my questions. ;)

Cheers,
 Xaignar
(0001118)
D10Tmain (reporter)
2005-06-30 20:28
edited on: 2005-07-01 00:20

yes that was this - contents of files ipfilter.dat and new downloaded file was merged

IMHO:
1 - IP ranges should be replaced not merged
2 - my feature suggestion 2 files: one localy "hand edited" (only readed by amule) and second downloaded - contents of both files merged on startup


I`ve done this:

1.1 - deleted ipfilter.dat in amule dir
1.2 - launched amule - amule autodownloaded zipped file - in log:
      Loaded ipfilter with 86289 new ip addresses
1.3 - closed amule
1.4 - cp ipfilter.dat ipfilter.dat.1

2.1 - launched amule and in log:
      Loaded ipfilter with 67070 new ip addresses
      and after autoupdate:
      Loaded ipfilter with 86289 new ip addresses
2.2 - closed amule
2.3 - cp ipfilter.dat ipfilter.dat.2

3.1 - launched amule and in log:
      Loaded ipfilter with 67070 new ip addresses
      and after autoupdate:
      Loaded ipfilter with 86289 new ip addresses
3.2 - closed amule
3.3 - cp ipfilter.dat ipfilter.dat.3

results ip ranges loaded ok but:
files ipfilter.dat.2, ipfilter.dat.3 and next - the same
but files ipfilter.dat.1 and ipfilter.dat.2 - different description of ranges, "eaten" sometimes first letter "Not Declared" -> "ot Declared" - diffs follows:


 .aMule]$ diff ipfilter.dat.1 ipfilter.dat.2 | head -50
2755c2755
< 38.144.198.150 - 43.223.255.255 , 0 , L(16/11/04)Eli Lilly and Company [NET-L
---
> 38.144.198.150 - 43.223.255.255 , 0 , L(16/11/04)Replies with (search)..exe
2763c2763
< 44.0.0.0 - 52.127.255.255 , 0 , L(16/11/04)Bell-Northern Research Canad
---
> 44.0.0.0 - 52.127.255.255 , 0 , L(16/11/04)Amateur Radio Digital Commun
2861c2861
< 60.249.0.0 - 60.253.64.254 , 0 , G(01/06/05)Connexion By Boeing Asia-Pac
---
> 60.249.0.0 - 60.253.64.254 , 0 , nvalid
2879c2879
< 61.4.176.0 - 61.4.255.255 , 0 , G(01/06/05)CJ CableNet Pukincheon Broad
---
> 61.4.176.0 - 61.4.255.255 , 0 , nvalid
2887c2887
< 61.7.160.0 - 61.8.95.255 , 0 , G(01/06/05)Pacific Internet (Australia)
---
> 61.7.160.0 - 61.8.95.255 , 0 , ot declared
4593c4593
< 62.60.128.0 - 62.61.63.255 , 0 , L(16/11/04)Space Research Institute Rus
---
> 62.60.128.0 - 62.61.63.255 , 0 , L(16/11/04)Iranian Research Organizatio
6891,6892c6891,6892
< 62.185.133.0 - 62.185.240.255 , 0 , L(16/11/04)Network.of.IBM.Deutschland.G
< 62.185.243.0 - 62.187.255.255 , 0 , L(25/01/05)Network of IGN International
---
> 62.185.133.0 - 62.185.240.255 , 0 , ot declared
> 62.185.243.0 - 62.187.255.255 , 0 , ot declared
8901c8901
< 64.13.192.0 - 64.16.63.255 , 0 , ntiP2P
---
> 64.13.192.0 - 64.16.63.255 , 0 , nvalid
8921c8921
< 64.22.32.0 - 64.22.175.255 , 0 , G(01/06/05)Exodus IDC - LA/OC1
---
> 64.22.32.0 - 64.22.175.255 , 0 , nvalid
9325c9325
< 64.79.112.0 - 64.79.223.255 , 0 , ntiP2P
---
> 64.79.112.0 - 64.79.223.255 , 0 , nvalid
10107c10107
< 64.202.48.0 - 64.202.95.255 , 0 , L(16/11/04)CINEMARK USA
---
> 64.202.48.0 - 64.202.95.255 , 0 , nvalid
10349c10349
< 64.253.160.0 - 64.253.223.255 , 0 , G(01/06/05)Savvis
---
> 64.253.160.0 - 64.253.223.255 , 0 , nvalid

edited on: 07-01-05 00:20
(0001119)
D10Tmain (reporter)
2005-06-30 20:31

my config:

Security - IP-Filtering:
checked - Enable IP-Filtering and AutoUpdate ipfilter at startup
filtering level 127
unchecked always filter lan IP

Reg.
D10Tmain
(0001124)
Xaignar (manager)
2005-07-13 20:59

Ok. This issue should be resolved now. I've changed the IPFilter so that it does not merge with the old list when updating, but instead replaces it. However, to allow user-specific filter-ranges, I've also added a secondary file ~/.aMule/ipfilter_static.dat which is not overwritten by aMule when updating the ipfilter-list.

Let me know if there are any problems.

Cheers,
 Xaignar

- Issue History
Date Modified Username Field Change
2005-06-30 10:51 D10Tmain New Issue
2005-06-30 12:31 D10Tmain Note Added: 0001115
2005-06-30 17:52 Xaignar Note Added: 0001116
2005-06-30 17:54 Xaignar Note Added: 0001117
2005-06-30 20:28 D10Tmain Note Added: 0001118
2005-06-30 20:31 D10Tmain Note Added: 0001119
2005-07-01 00:20 D10Tmain Note Edited: 0001118
2005-07-05 22:50 Xaignar Status new => assigned
2005-07-05 22:50 Xaignar Assigned To => Xaignar
2005-07-13 20:59 Xaignar Status assigned => resolved
2005-07-13 20:59 Xaignar Fixed in Version => CVS
2005-07-13 20:59 Xaignar Resolution open => fixed
2005-07-13 20:59 Xaignar Note Added: 0001124


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker